//科技年报
<template>
<div class="content-main">
    <iframe width="100%" :height="wrapHeight" :src="iHost"></iframe>
</div>
</template>
<script>
export default {
    data(){
        return{
          iHost:''
        }
    },
    computed: {
      wrapHeight(){
        let windowHeight = document.documentElement.clientHeight
        let  wrapHeight = windowHeight - 265
        return wrapHeight
      }
    },
    methods:{

    },
    created(){
      let url = location.host;
      // console.log(url ,'url ');
      this.iHost = `http://${url}/BI/showreport.do?resid=EBI$12$MUOYZ62UV5OCDV9UN6BTUABAC4UN30OX$1$6E32QYJRM14PYMYEMBQ1KNFDMIEL2VQC.rpttpl&id=${sessionStorage.getItem('userLoginName')}&pw=%7B${sessionStorage.getItem('userPassword')}%7D&calcnow=true&showparams=true`

//       this.iHost = `http://${url}/irpt/oemlogin.do?id=${sessionStorage.getItem('userLoginName')}&pw={${sessionStorage.getItem('userPassword')}}&target=task&task={781C4E4E-A6CA-40B2-8E8B-8440F53C6E87}&bbhid=150000`
      console.log(this.iHost,'this.iHost');

    }
}
</script>